com.opensymphony.xwork2.ognl.accessor

## Class XWorkCollectionPropertyAccessor

- java.lang.Object
- - ognl.ObjectPropertyAccessor
  - - ognl.SetPropertyAccessor
    - - com.opensymphony.xwork2.ognl.accessor.XWorkCollectionPropertyAccessor

- All Implemented Interfaces:
    ognl.PropertyAccessor

      public class XWorkCollectionPropertyAccessor
      extends ognl.SetPropertyAccessor

  Author:
    Gabe

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `KEY_PROPERTY_FOR_CREATION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XWorkCollectionPropertyAccessor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getProperty(Map context, Object target, Object key)` Gets the property of a Collection by indexing the collection based on a key property.
    `Object` | `getPropertyThroughIteration(Map context, Collection collection, String property, Object key)`
    `void` | `setObjectFactory(ObjectFactory fac)`
    `void` | `setObjectTypeDeterminer(ObjectTypeDeterminer ot)`
    `void` | `setOgnlUtil(OgnlUtil util)`
    `void` | `setProperty(Map context, Object target, Object name, Object value)`
    `void` | `setXWorkConverter(XWorkConverter conv)`

    - ### Methods inherited from class ognl.ObjectPropertyAccessor

      `getPossibleProperty, getPropertyClass, getSourceAccessor, getSourceSetter, hasGetProperty, hasGetProperty, hasSetProperty, hasSetProperty, setPossibleProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface ognl.PropertyAccessor

      `getSourceAccessor, getSourceSetter`

- - ### Field Detail

    - #### KEY_PROPERTY_FOR_CREATION

          public static final String KEY_PROPERTY_FOR_CREATION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### XWorkCollectionPropertyAccessor

          public XWorkCollectionPropertyAccessor()

  - ### Method Detail

    - #### setXWorkConverter

          public void setXWorkConverter(XWorkConverter conv)

    - #### setObjectFactory

          public void setObjectFactory(ObjectFactory fac)

    - #### setObjectTypeDeterminer

          public void setObjectTypeDeterminer(ObjectTypeDeterminer ot)

    - #### setOgnlUtil

          public void setOgnlUtil(OgnlUtil util)

    - #### getProperty

          public Object getProperty(Map context,
                                    Object target,
                                    Object key)
                             throws ognl.OgnlException

      Gets the property of a Collection by indexing the collection based on a key property. For example, if the key property were 'id', this method would convert the key Object to whatever type the id property was, and then access the Set like it was a Map returning a JavaBean with the value of id property matching the input.
      Specified by:
        `getProperty` in interface `ognl.PropertyAccessor`
      Overrides:
        `getProperty` in class `ognl.SetPropertyAccessor`
      Throws:
        `ognl.OgnlException`
      See Also:
        `PropertyAccessor.getProperty(java.util.Map, Object, Object)`

    - #### getPropertyThroughIteration

          public Object getPropertyThroughIteration(Map context,
                                                    Collection collection,
                                                    String property,
                                                    Object key)
                                             throws ognl.OgnlException

      Throws:
        `ognl.OgnlException`

    - #### setProperty

          public void setProperty(Map context,
                                  Object target,
                                  Object name,
                                  Object value)
                           throws ognl.OgnlException

      Specified by:
        `setProperty` in interface `ognl.PropertyAccessor`
      Overrides:
        `setProperty` in class `ognl.ObjectPropertyAccessor`
      Throws:
        `ognl.OgnlException`

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.